std::experimental::fundamentals_v1::bad_any_cast Class Reference
Technical Specifications » Library Fundamentals TS » Type-safe container of any type | Diagnostics » Exceptions

`#include <any>`

Inheritance diagram for std::experimental::fundamentals_v1::bad_any_cast:
[legend]

## Public Member Functions

virtual const char * | what () const noexcept

## Detailed Description

Exception class thrown by a failed `any_cast`.

Definition at line 71 of file experimental/any.

## Member Function Documentation

## what()

virtual const char * std::experimental::fundamentals_v1::bad_any_cast::what | ( |  | ) | const

inline virtual noexcept

Returns a C-style character string describing the general cause of the current error.

Reimplemented from std::bad_cast.

Definition at line 74 of file experimental/any.

The documentation for this class was generated from the following file:

- experimental/any